Saturday, 15 November 2014

INTELLIJ IDEA RUBY PLUGIN - HOW TO FIX NO SDK FOUND ERROR

Welcome back everybody.

I am a firm believer that IntelliJIdea is one of the best IDE on the market. However it is also quite expensive.
The good news is that you can use IntelliJ Idea can incorporate all the features present in the other JetBrain products. If you want to make programs in Ruby for example and you already have a license for IntelliJIdea, you do not need to buy a license for RubyMine, but you can just install the Ruby plugin for IntelliJIdea you can download here.

The bad news is that once you have installed the plugin troubles begin.
As many people reported on the Internet, if you write a very easy Ruby class and you try to run it before the plugin is fully configured, you will get this error:



The error is telling you that no SDK has been set for Ruby, so let's set it:



Once you have performed this step you would imagine that everything is sorted but... surprise ! Still getting the same error:





For fixing this problem you will have to download a JRuby SDK package and add them to your SDK list:







Finally you will have to configure the facets  :




Eventually your plugin will start working:



STAY RUBY !

Luca

Google+ Followers